<?php
/**
 * Test Generated example of using entity_setting get API
 * *
 */
function entity_setting_get_example(){
$params = [
  'entity_type' => 'relationship',
  'entity_id' => 1,
  'key' => 'test_key',
];

try{
  $result = civicrm_api3('entity_setting', 'get', $params);
}
catch (CiviCRM_API3_Exception $e) {
  // handle error here
  $errorMessage = $e->getMessage();
  $errorCode = $e->getErrorCode();
  $errorData = $e->getExtraParams();
  return ['error' => $errorMessage, 'error_code' => $errorCode, 'error_data' => $errorData];
}

return $result;
}

/**
 * Function returns array of result expected from previous function
 */
function entity_setting_get_expectedresult(){

  $expectedResult = [
  'is_error' => 0,
  'version' => 3,
  'count' => 1,
  'id' => 1,
  'values' => [
      '1' => [
          'test_setting' => [
              '0' => '1',
              '1' => '2',
              '2' => '3',
              '3' => '4',
          ],
          'another_setting' => 'Monster',
      ],
  ],
  ];

  return $expectedResult;
}


/*
* This example has been generated from the API test suite. The test that created it is called
*
* testGet and can be found in
* http://svn.civicrm.org/civicrm/trunk/tests/phpunit/CiviTest/api/v3/EntitySettingTest.php
*
* You can see the outcome of the API tests at
* http://tests.dev.civicrm.org/trunk/results-api_v3
*
* To Learn about the API read
* http://book.civicrm.org/developer/current/techniques/api/
*
* and review the wiki at
* http://wiki.civicrm.org/confluence/display/CRMDOC/CiviCRM+Public+APIs
*
* Read more about testing here
* http://wiki.civicrm.org/confluence/display/CRM/Testing
*
* API Standards documentation:
* http://wiki.civicrm.org/confluence/display/CRM/API+Architecture+Standards
*/
